//
//  BusinessTitle.swift
//  City Sights App
//
//  Created by Milos Ilic on 17.1.23..
//

import SwiftUI

struct BusinessTitle: View {
    
    var business: Business
    
    var body: some View {
        
        VStack (alignment: .leading) {
            
            // Business Name
            Text(business.name!)
                .font(.largeTitle)
            
            // Address
            if business.location?.displayAddress != nil {
                ForEach(business.location!.displayAddress!, id: \.self) { displayLine in
                    Text(displayLine)
                }
            }
            
            // Rating
            Image("regular_\(business.rating ?? 0)")
            
        }
    }
}

